Bug 1764691 (CVE-2019-2974)

Summary: CVE-2019-2974 mysql: Server: Optimizer unspecified vulnerability (CPU Oct 2019)
Product: [Other] Security Response Reporter: Tomas Hoger <thoger>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: databases-maint, dbecker, dciabrin, hhorak, jjanco, jjoyce, jorton, jschluet, jstanek, lhh, ljavorsk, lpeer, mbayer, mburns, mkocka, mmuzila, mschorm, praiskup, sclewis, slinaber, SpikeFedora
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: mysql 5.6.46, mysql 5.7.28, mysql 8.0.18, mariadb 5.5.66, mariadb 10.4.9, mariadb 10.3.19, mariadb 10.2.28, mariadb 10.1.42 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-08-19 15:16:02 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1768175, 1768176, 1768177, 1768178, 1768195, 1768196, 1768197, 1769266, 1769267, 1769268, 1769270, 1769273, 1769274, 1769275, 1769276, 1874036, 1874037, 1874038, 1880312, 1894116, 1899013, 1899014, 1899015, 1899016    
Bug Blocks: 1764702    

Description Tomas Hoger 2019-10-23 15:06:45 UTC
Vulnerability in the MySQL Server product of Oracle MySQL (component: Server: Optimizer). Supported versions that are affected are 5.6.45 and prior, 5.7.27 and prior and  8.0.17 and prior. Easily exploitable vulnerability allows low privileged attacker with network access via multiple protocols to compromise MySQL Server. Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server.

External References:

http://www.oracle.com/technetwork/security-advisory/cpuoct2019-5072832.html

Comment 1 Tomas Hoger 2019-11-03 09:20:27 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1768175]


Created mysql:8.0/community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1768176]

Comment 2 Tomas Hoger 2019-11-03 09:27:00 UTC
Created mysql:5.7/community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1768177]

Comment 3 Tomas Hoger 2019-11-03 09:43:17 UTC
Created mysql:5.6/community-mysql tracking bugs for this issue:

Affects: fedora-30 [bug 1768178]

Comment 6 Tomas Hoger 2019-11-06 10:18:22 UTC
Created mariadb tracking bugs for this issue:

Affects: fedora-all [bug 1769266]


Created mariadb:10.1/mariadb tracking bugs for this issue:

Affects: fedora-29 [bug 1769270]


Created mariadb:10.3/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 1769267]


Created mariadb:10.4/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 1769268]

Comment 8 errata-xmlrpc 2020-08-19 14:08:01 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2020:3518 https://access.redhat.com/errata/RHSA-2020:3518

Comment 9 Product Security DevOps Team 2020-08-19 15:16:02 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-2974

Comment 14 errata-xmlrpc 2020-09-14 12:54:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:3732 https://access.redhat.com/errata/RHSA-2020:3732

Comment 16 errata-xmlrpc 2020-09-15 16:17:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:3755 https://access.redhat.com/errata/RHSA-2020:3755

Comment 18 errata-xmlrpc 2020-09-15 18:27:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:3757 https://access.redhat.com/errata/RHSA-2020:3757

Comment 21 errata-xmlrpc 2020-09-29 20:40:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4026 https://access.redhat.com/errata/RHSA-2020:4026

Comment 25 errata-xmlrpc 2020-10-05 15:15:37 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2020:4174 https://access.redhat.com/errata/RHSA-2020:4174

Comment 26 errata-xmlrpc 2020-11-30 13:44:41 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2020:5246 https://access.redhat.com/errata/RHSA-2020:5246

Comment 27 errata-xmlrpc 2020-12-15 17:09:36 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:5500 https://access.redhat.com/errata/RHSA-2020:5500

Comment 28 errata-xmlrpc 2020-12-22 09:01:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2020:5654 https://access.redhat.com/errata/RHSA-2020:5654

Comment 29 errata-xmlrpc 2020-12-22 09:24:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:5663 https://access.redhat.com/errata/RHSA-2020:5663

Comment 30 errata-xmlrpc 2020-12-22 09:25:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:5665 https://access.redhat.com/errata/RHSA-2020:5665